[
  {
    blockid=roles;
    custom=com.netscape.management.msgserv.folders.acl.FRolesControl;
    localvar=
    {
      .rolename.header="\u89d2\u8272";
      .rights.header="\u6743\u9650";

      .add.title="\u6dfb\u52a0\u8bbf\u95ee\u89d2\u8272";
      .edit.title="\u7f16\u8f91\u8bbf\u95ee\u89d2\u8272";
    };

    content=
    [
      { /* roles table */
        ctrl=table;
        id=rolestable;
        stdtable=false;
        showedit=true;
        buttonsat=east;
        addtitle=$.add.title;
        edittitle=$.edit.title;
        addui=accessrole;
        addtext=$g.addbutton.text;
        edittext=$g.editbutton.text;
        deltext=$g.deletebutton.text;
        editui=accessrole;
        val=$service.nntp.content.aclroles.nsvalue;
        visiblerows=10;
        columns=
        [
          {
            header=$.rolename.header;
            varname=rolename;
          },
          {
            header=$.rights.header;
            varname=rights;
          }
        ];
      } /* roles table */

    ];
  },

  { /* access role add/edit ui */
    blockid=accessrole;
    localvar=
    {
      .label.size=80;

      .rolename.text="\u89d2\u8272\u540d:";

      .rights.border=[titled, "\u6743\u9650"];
      .rights.view="\u67e5\u770b\u8ba8\u8bba\u7ec4";
      .rights.read="\u9605\u8bfb\u6587\u7ae0";
      .rights.post="\u9996\u9009\u8bed\u8a00";
      .rights.cancel="\u53d6\u6d88";
      .rights.cancelany="\u53d6\u6d88\u6240\u6709";
      .rights.moderate="\u4e3b\u6301";
      .rights.newgroup="\u65b0\u7ec4";
      .rights.admin="\u7ba1\u7406";
    };

    content=
    [

      { /* role name */
        ctrl=pane;
        layout=[xbox];
        content=
        [ /* role name contents */

          { /* label */
            ctrl=label;
            wrap=$.label.size;
            text=$.rolename.text;
            id=rolename;
            aligny=0.5;
          }, /* label */

          { /* comp space */
            ctrl=rigid;
          }, /* comp space */

          { /* textfield */
            ctrl=text;
            label=rolename;
            aligny=0.5;
            val=$rolename;
          } /* textfield */

        ]; /* role name contents */
      }, /* role name */

      { /* comp space */
        ctrl=vstrut;
        size=$g.comp.space.sep;
      }, /* comp space */

      { /* rights */
        ctrl=pane;
        layout=[ybox];
        border=$.rights.border;
        content=
        [ /* rights contents */

          { /* view */
            ctrl=togglepane;
            style=checkbox;
            text=$.rights.view;
            val=$view;
          }, /* view */

          { /* comp space */
            ctrl=vstrut;
            size=$g.comp.space;
          }, /* comp space */

          { /* read */
            ctrl=togglepane;
            style=checkbox;
            text=$.rights.read;
            val=$read;
          }, /* read */

          { /* comp space */
            ctrl=vstrut;
            size=$g.comp.space;
          }, /* comp space */

          { /* post */
            ctrl=togglepane;
            style=checkbox;
            text=$.rights.post;
            val=$post;
          }, /* post */

          { /* comp space */
            ctrl=vstrut;
            size=$g.comp.space;
          }, /* comp space */

          { /* cancel */
            ctrl=togglepane;
            style=checkbox;
            text=$.rights.cancel;
            val=$cancel;
          }, /* cancel */

          { /* comp space */
            ctrl=vstrut;
            size=$g.comp.space;
          }, /* comp space */

          { /* cancelany */
            ctrl=togglepane;
            style=checkbox;
            text=$.rights.cancelany;
            val=$cancelany;
          }, /* cancelany */

          { /* comp space */
            ctrl=vstrut;
            size=$g.comp.space;
          }, /* comp space */

          { /* moderate */
            ctrl=togglepane;
            style=checkbox;
            text=$.rights.moderate;
            val=$moderate;
          }, /* moderate */

          { /* comp space */
            ctrl=vstrut;
            size=$g.comp.space;
          }, /* comp space */

          { /* newgroup */
            ctrl=togglepane;
            style=checkbox;
            text=$.rights.newgroup;
            val=$newgroup;
          }, /* newgroup */

          { /* comp space */
            ctrl=vstrut;
            size=$g.comp.space;
          }, /* comp space */

          { /* admin */
            ctrl=togglepane;
            style=checkbox;
            text=$.rights.admin;
            val=$admin;
          } /* admin */

        ]; /* rights contents */
      } /* rights */

    ];
  } /* access role add/edit ui */

]


